/**
 * Proyecto: 9x04-Bicola - Vector y Ficheros
 * Fichero:  Nodo.java
 * Fecha:    24/05/2012
 *
 * Licencia (CC) BY-NC-SA: giltesa.com
 */


import java.io.Serializable;


public class Nodo<G> implements Serializable
{
	
	// PROPIEDADES:
	private G	elemento;
	private static final long serialVersionUID = -5975180867563329604L;

	
	// CONSTRUCTOR:
	// Se guarda en el Nodo recien instanciado el dato del tipo instanciado en la Bicola.
	public Nodo( G dato )
	{
		elemento = dato;
	}

	
	// METODOS:
	public G getDatoNodo()
	{
		return elemento;
	}

}
